org.apache.sling.discovery.impl.cluster

## Class ClusterViewServiceImpl

- java.lang.Object
- - org.apache.sling.discovery.impl.cluster.ClusterViewServiceImpl

All Implemented Interfaces:
  org.apache.sling.discovery.base.commons.ClusterViewService

    @Service(value={org.apache.sling.discovery.base.commons.ClusterViewService.class,ClusterViewServiceImpl.class})
    public class ClusterViewServiceImpl
    extends Object
    implements org.apache.sling.discovery.base.commons.ClusterViewService

Default implementation of the ClusterViewService interface.

This class is a reader only - it accesses the repository to read the currently established view

### Constructor Summary

Constructors
Constructor and Description
`ClusterViewServiceImpl()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`org.apache.sling.discovery.commons.providers.spi.LocalClusterView` `getLocalClusterView()`
`String` `getSlingId()`
`void` `invalidateEstablishedViewId(String establishedViewId)`
`static org.apache.sling.discovery.base.commons.ClusterViewService` `testConstructor(org.apache.sling.settings.SlingSettingsService settingsService, org.apache.sling.api.resource.ResourceResolverFactory factory, Config config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterViewServiceImpl

    public ClusterViewServiceImpl()

### Method Detail

#### testConstructor

    public static org.apache.sling.discovery.base.commons.ClusterViewService testConstructor(org.apache.sling.settings.SlingSettingsService settingsService,
                                                                                             org.apache.sling.api.resource.ResourceResolverFactory factory,
                                                                                             Config config)

#### getSlingId

    public String getSlingId()

Specified by:
  `getSlingId` in interface `org.apache.sling.discovery.base.commons.ClusterViewService`

#### invalidateEstablishedViewId

    public void invalidateEstablishedViewId(String establishedViewId)

#### getLocalClusterView

    public org.apache.sling.discovery.commons.providers.spi.LocalClusterView getLocalClusterView()
                                                                                          throws org.apache.sling.discovery.base.commons.UndefinedClusterViewException

Specified by:
  `getLocalClusterView` in interface `org.apache.sling.discovery.base.commons.ClusterViewService`
Throws:
  `org.apache.sling.discovery.base.commons.UndefinedClusterViewException`